function DHCPDRender(xml)
{
var r = '';
var s = '';
if(! xml || ! xml.hasChildNodes())
{
r += "<p>Failed to retrieve dhcpd settings.</p>";
var d = document.getElementById('dhcpd_contents');
d.innerHTML=r;
}
else
{
r = "<table class='basicTable'>";
r += "<tr class='statusHeader'><td colspan='2'>Configuration</td></tr>";
s = "<table class='basicTable'>";
s += "<tr class='statusHeader'><td>Delete</td><td>MAC Address</td><td>IP Address</td></tr>";
for(var i = 0; xml && i < xml.childNodes.length; ++i)
{
var node = xml.childNodes[i];
if(node.nodeName.toLowerCase() == "dhcpd")
{
for(var j = 0; node && j < node.childNodes.length; ++j)
{
var node2 = node.childNodes[j];
if(node2.nodeName.toLowerCase() == "state")
{
var isEnabled=(node2.firstChild.nodeValue=='Enabled')?true:false;
r += "<tr><td>State:</td><td>";
r += "<label>";
r += "<input ";
r += "onclick='updateButtonVisibilities(\"dhcpd_config_form\",\"submit_changes\",\"cancel_changes\");'";
r += " name='dhcp_state' type='radio' value='Enabled'";
r += " org_state='"+isEnabled+"'";
if(isEnabled)r += " checked ";
r += "/>Enabled";
r += "</label>";
r += "<label>";
r += "<input ";
r += "onclick='updateButtonVisibilities(\"dhcpd_config_form\",\"submit_changes\",\"cancel_changes\");'";
r += " name='dhcp_state' type='radio' value='Disabled'";
r += " org_state='"+!isEnabled+"'";
if(!isEnabled)r += " checked ";
r += "/>Disabled";
r += "</label>";
r += "</td></tr>";
}
if(node2.nodeName.toLowerCase() == "ip_address")
{
var routerIP=node2.firstChild.nodeValue;
r += "<tr><td>IP Address:</td><td><input type='text' size='32' maxlength='64' name='dhcp_routerIP' org_value='"+routerIP+"' value='"+routerIP+"' ";
r += "onkeyup='updateButtonVisibilities(\"dhcpd_config_form\",\"submit_changes\",\"cancel_changes\");'/></td></tr>";
}
if(node2.nodeName.toLowerCase() == "start_ip_address")
{
var startIP=node2.firstChild.nodeValue;
r += "<tr><td>Start IP Address:</td><td><input type='text' size='32' maxlength='64' name='dhcp_startIP' org_value='"+startIP+"' value='"+startIP+"' ";
r += "onkeyup='updateButtonVisibilities(\"dhcpd_config_form\",\"submit_changes\",\"cancel_changes\");'/></td></tr>";
}
if(node2.nodeName.toLowerCase() == "end_ip_address")
{
var endIP=node2.firstChild.nodeValue;
r += "<tr><td>End IP Address:</td><td><input type='text' size='32' maxlength='64' name='dhcp_endIP' org_value='"+endIP+"' value='"+endIP+"' ";
r += "onkeyup='updateButtonVisibilities(\"dhcpd_config_form\",\"submit_changes\",\"cancel_changes\");'/></td></tr>";
}
if(node2.nodeName.toLowerCase() == "lease_time")
{
var lease_time=node2.firstChild.nodeValue;
r += "<tr><td>Lease Time:</td><td><input type='text' size='10' maxlength='10' name='dhcp_leaseTime' org_value='"+lease_time+"' value='"+lease_time+"' ";
r += "onkeyup='updateButtonVisibilities(\"dhcpd_config_form\",\"submit_changes\",\"cancel_changes\");'/> hours</td></tr>";
}
if(node2.nodeName.toLowerCase() == "address_reservation")
{
var reservation_index=GetXmlData(node2,"index");
var mac=GetXmlData(node2,"mac");
var ip_address=GetXmlData(node2,"ip_address");
s += "<tr>";
s += "<td>"
s += "<input type='checkbox' ";
s += " onclick='updateButtonVisibilities(\"dhcpd_reservation_form\",\"submit_staticlease_changes\",\"cancel_staticlease_changes\");' ";
s += " name='dhcp_staticlease.state." + reservation_index +"' org_state='false'/>";
s += "</td>";
s += "<td>";
s += "<input type='text' size='16' maxlength='64' name='dhcp_staticlease.mac."+reservation_index+"' org_value='"+mac+"' value='"+mac+"' ";
s += " onkeyup='updateButtonVisibilities(\"dhcpd_reservation_form\",\"submit_staticlease_changes\",\"cancel_staticlease_changes\");'/>";
s += "</td>";
s += "<td>";
s += "<input type='text' size='16' maxlength='64' name='dhcp_staticlease.ip."+reservation_index+"' org_value='"+ip_address+"' value='"+ip_address+"' ";
s += " onkeyup='updateButtonVisibilities(\"dhcpd_reservation_form\",\"submit_staticlease_changes\",\"cancel_staticlease_changes\");'/>";
s += "</td>";
s += "</tr>";
}
}
}
}
s += "</table>";
r += "</table>";
var d = document.getElementById('dhcpd_configuration');
if(d)d.innerHTML=r;
var d = document.getElementById('dhcpd_reservation_list');
if(d)d.innerHTML=s;
updateButtonVisibilities('dhcpd_config_form','submit_changes','cancel_changes');
updateButtonVisibilities('dhcpd_reservation_form','submit_staticlease_changes','cancel_staticlease_changes');
}
}

function SetConfigDHCPDDisplay(xml)
{
displayElementRootNames = new Array();
SetSubmit(false);
HighlightElementInTable('GatewayNav1', 'gatewayConfig');
document.getElementById('configNav').style.display = 'block';
HighlightElementInTable('GatewayNav2', 'gatewayConfigDHCPD');
document.getElementById("dhcpd_config_form").style.display = "block";
document.getElementById("dhcpd_reservation_form").style.display = "block";
document.getElementById("dhcpd_addreservation").reset();
document.getElementById("dhcpd_addreservation").style.display = "block";
}
