function EnableSubmitButton(xml)
{
if(document.getElementById('apply_button'))
{
document.getElementById('apply_button').disabled=false;
}
if(document.getElementById('test_button'))
{
document.getElementById('test_button').disabled=false;
}
if(document.getElementById('submit_button'))
{
document.getElementById('submit_button').disabled=false;
}
}
function EnableTestConnectionButton(enable)
{
if(document.getElementById('test_button'))
{
document.getElementById('test_button').disabled=!enable;
}
}

function SetNetworkLinks()
{
document.getElementById('netdhcpD').style.display = (
(document.getElementById('netdhcp').innerHTML == 'N/A' ||
document.getElementById('netdhcp').innerHTML == 'Off') ?
'none' : 'inline'
);
}


function SetCellularLinkDisplay(xml)
{
displayElementRootNames = new Array();
SetSubmit(false);

SetDisplaySelection('Cellular_Link.APN');
SetDisplaySelection('Cellular_Link.Username');
SetDisplaySelection('Cellular_Link.Password');
SetDisplaySelection('Cellular_Link.Dialup_String');





SetDisplaySelection('Cellular_Link.Roaming');
document.getElementById("cellularLinkform").style.display = "block";
}
function SetCellularInterfaceDisplay(xml)
{
displayElementRootNames = new Array();
SetSubmit(false);
SetDisplaySelection('Cellular_Interface.State');
SetDisplaySelection('Cellular_Interface.Priority');
SetDisplaySelection('Cellular_Interface.Connection_Mode');
SetDisplaySelection('Cellular_Interface.Idle_Timeout');
SetDisplaySelection('Cellular_Interface.Primary_DNS');
SetDisplaySelection('Cellular_Interface.Secondary_DNS');
document.getElementById("networkform").style.display = "block";
}
function SetInterfaceDisplay(xml)
{
displayElementRootNames = new Array();
SetSubmit(false);
SetDisplaySelection('Interface.State');
SetDisplaySelection('Interface.BOOTP');
SetDisplaySelection('Interface.DHCP');
SetDisplaySelection('Interface.Priority');
SetDisplaySelection('Interface.Domain');
SetDisplaySelection('Interface.Hostname');
SetDisplaySelection('Interface.DHCP_Client_ID');
SetDisplaySelection('Interface.Default_Gateway');
SetDisplaySelection('Interface.IP_Address');
SetDisplaySelection('Interface.Primary_DNS');
SetDisplaySelection('Interface.Secondary_DNS');
SetDisplaySelection('Interface.MTU');
document.getElementById("networkform").style.display = "block";
}
function SetNetworkFailoverDisplay(xml)
{
displayElementRootNames = new Array();
SetSubmit(false);
SetDisplaySelection('Network_Failover.State');
SetDisplaySelection('Network_Failover.Hostname');
SetDisplaySelection('Network_Failover.Method');
SetDisplaySelection('Network_Failover.Timeout');
SetDisplaySelection('Network_Failover.Interval');
SetDisplaySelection('Network_Failover.Failover_Threshold');
SetDisplaySelection('Network_Failover.Failback_Threshold');
SetDisplaySelection('Network_Failover.Failover_Interface');
document.getElementById("networkfailoverform").style.display = "block";
var parentForm = document.getElementById('networkfailoverform');
parentForm.selectedFailoverInterface.length = 0;
var i = 0;
if(xml)
{
var selected=xml.getElementsByTagName("selected");
if(selected && selected.length>0)
{
var selectedInterface=selected[0].firstChild.nodeValue;
document.getElementById("new_Network_Failover.Failover_Interface").value=selectedInterface;
}
var interfaces = xml.getElementsByTagName("interface");
for(i = 0; interfaces && i < interfaces.length; ++i)
{
var interface = interfaces[i].firstChild.nodeValue;
parentForm.selectedFailoverInterface.options[i] = new Option(
interface, interface, false, false
);
if(interface==selectedInterface)
{
parentForm.selectedFailoverInterface.selectedIndex=i;
}
}
}
}
function updateFilterType()
{
var type=document.getElementById("filter_type").value;
if(document.getElementById("mac_Display"))
{
document.getElementById("mac_Display").style.display='none';
document.getElementById("mac_help_display").style.display='';
}
else
{
document.getElementById("mac_help_display").style.display='none';
}
document.getElementById("network_Display").style.display='none';
document.getElementById("port_Display").style.display='none';
if(type=="mac")
{
if(document.getElementById("mac_Display"))
document.getElementById("mac_Display").style.display='';
}
if(type=="network")
{
document.getElementById("network_Display").style.display='';
}
if(type=="ports")
{
document.getElementById("port_Display").style.display='';
}
}
function QoSStatsRender(xml)
{
var s= "";
if(!xml || !xml.hasChildNodes())
{
s += "<p>QoS statistics are not available</p>";
}
else
{
s = "<table class='basicTable'>";
s += "<tr class='statusHeader'><td width='20%'>Priority</td><td width='40%'>Sent</td><td width='40%'>Rate</td></tr>";
var sent=GetXmlData(xml,"sent_1");
var rate=GetXmlData(xml,"rate_1");
var percent=GetXmlData(xml,"percent_1");
s += "<tr><td>Network Control</td><td>"+sent+"</td><td>"+rate+" ("+percent+")</td></tr>";
sent=GetXmlData(xml,"sent_2");
rate=GetXmlData(xml,"rate_2");
percent=GetXmlData(xml,"percent_2");
s += "<tr><td>Internetwork Control</td><td>"+sent+"</td><td>"+rate+" ("+percent+")</td></tr>";
sent=GetXmlData(xml,"sent_3");
rate=GetXmlData(xml,"rate_3");
percent=GetXmlData(xml,"percent_3");
s += "<tr><td>Voice</td><td>"+sent+"</td><td>"+rate+" ("+percent+")</td></tr>";
sent=GetXmlData(xml,"sent_4");
rate=GetXmlData(xml,"rate_4");
percent=GetXmlData(xml,"percent_4");
s += "<tr><td>Video</td><td>"+sent+"</td><td>"+rate+" ("+percent+")</td></tr>";
sent=GetXmlData(xml,"sent_5");
rate=GetXmlData(xml,"rate_5");
percent=GetXmlData(xml,"percent_5");
s += "<tr><td>Critical Applications</td><td>"+sent+"</td><td>"+rate+" ("+percent+")</td></tr>";
sent=GetXmlData(xml,"sent_6");
rate=GetXmlData(xml,"rate_6");
percent=GetXmlData(xml,"percent_6");
s += "<tr><td>Excellent Effort</td><td>"+sent+"</td><td>"+rate+" ("+percent+")</td></tr>";
sent=GetXmlData(xml,"sent_7");
rate=GetXmlData(xml,"rate_7");
percent=GetXmlData(xml,"percent_7");
s += "<tr><td>Best Effort</td><td>"+sent+"</td><td>"+rate+" ("+percent+")</td></tr>";
sent=GetXmlData(xml,"sent_8");
rate=GetXmlData(xml,"rate_8");
percent=GetXmlData(xml,"percent_8");
s += "<tr><td>Background</td><td>"+sent+"</td><td>"+rate+" ("+percent+")</td></tr>";
sent=GetXmlData(xml,"sent_0");
rate=GetXmlData(xml,"rate_0");
s += "<tr><td><b>Total</b></td><td>"+sent+"</td><td>"+rate+"</td></tr>";
s += "</table>";
}
var d = document.getElementById('qos_statistics');
if(d)d.innerHTML=s;
}
function QoSRender(xml)
{
var c = "";/*configuration*/
var m = "";/*mac filters*/
var n = "";/*network filters*/
var p = "";/*ports filters*/
if(! xml || ! xml.hasChildNodes())
{
c = "<p>Failed to retrieve QoS settings.</p>";
var d = document.getElementById('qos_configuration');
d.innerHTML=c;
}
else
{
c = "<table class='basicTable'>";
c += "<tr class='statusHeader'><td colspan='2'>QoS Configuration:</td></tr>";
m = "<table class='basicTable'>";
m += "<tr class='statusHeader'><td>Delete</td><td width='40%'>MAC Address</td><td>Priority</td></tr>";
n = "<table class='basicTable'>";
n += "<tr class='statusHeader'><td>Delete</td><td width='40%'>Network</td><td>Priority</td></tr>";
p = "<table class='basicTable'>";
p += "<tr class='statusHeader'><td>Delete</td><td width='40%'>Port or Port Range</td><td>Priority</td></tr>";
for(var i = 0; xml && i < xml.childNodes.length; ++i)
{
var node = xml.childNodes[i];
if(node.nodeName.toLowerCase() == "qos")
{
for(var j = 0; node && j < node.childNodes.length; ++j)
{
var node2 = node.childNodes[j];
if(node2.nodeName.toLowerCase() == "state")
{
var isEnabled=(node2.firstChild.nodeValue=='Enabled')?true:false;
c += "<tr><td width='40%'><b>State:</b></td><td>";
c += "<label>";
c += "<input ";
c += "onclick='updateButtonVisibilities(\"networkqosform\",\"submit_changes\",\"cancel_changes\");'";
c += " name='qos_state' type='radio' value='Enabled'";
c += " org_state='"+isEnabled+"'";
if(isEnabled)c += " checked ";
c += "/>Enabled";
c += "</label>";
c += "<label>";
c += "<input ";
c += "onclick='updateButtonVisibilities(\"networkqosform\",\"submit_changes\",\"cancel_changes\");'";
c += " name='qos_state' type='radio' value='Disabled'";
c += " org_state='"+!isEnabled+"'";
if(!isEnabled)c += " checked ";
c += "/>Disabled";
c += "</label>";
c += "</td></tr>";
}
if(node2.nodeName.toLowerCase() == "import_filters")
{
var isEnabled=(node2.firstChild.nodeValue=='Enabled')?true:false;
c += "<tr><td width='40%'><b>Import filters:</b></td><td>";
c += "<label>";
c += "<input ";
c += "onclick='updateButtonVisibilities(\"networkqosform\",\"submit_changes\",\"cancel_changes\");'";
c += " name='import_filters' type='radio' value='Enabled'";
c += " org_state='"+isEnabled+"'";
if(isEnabled)c += " checked ";
c += "/>Enabled";
c += "</label>";
c += "<label>";
c += "<input ";
c += "onclick='updateButtonVisibilities(\"networkqosform\",\"submit_changes\",\"cancel_changes\");'";
c += " name='import_filters' type='radio' value='Disabled'";
c += " org_state='"+!isEnabled+"'";
if(!isEnabled)c += " checked ";
c += "/>Disabled";
c += "</label>";
c += "</td></tr>";
}
if(node2.nodeName.toLowerCase() == "uplink_speed")
{
var uplink_speed=node2.firstChild.nodeValue;
c += "<tr><td width='40%'><b>Uplink Speed:</b></td><td><input type='text' size='10' maxlength='10' name='uplink_speed' org_value='"+uplink_speed+"' value='"+uplink_speed+"' ";
c += "onkeyup='updateButtonVisibilities(\"networkqosform\",\"submit_changes\",\"cancel_changes\");'/> kbps</td></tr>";
}
if(node2.nodeName.toLowerCase() == "filter")
{
var index=GetXmlData(node2,"index");
var priority=GetXmlData(node2,"priority");
var mac=GetXmlData(node2,"mac");
if(mac)
{
m += "<tr>";
m += "<td>"
m += "<input type='checkbox' ";
m += " onclick='updateButtonVisibilities(\"networkqosform\",\"submit_changes\",\"cancel_changes\");' ";
m += " name='filter_" + index +".state' org_state='false'/>";
m += "</td>";
m += "<td>";
m += "<input type='text' size='16' maxlength='64' name='filter_"+index+".mac' org_value='"+mac+"' value='"+mac+"' ";
m += " onkeyup='updateButtonVisibilities(\"networkqosform\",\"submit_changes\",\"cancel_changes\");'/>";
m += "</td>";
m += "<td><select name='filter_"+index+".priority' org_value='"+priority+"' onchange='updateButtonVisibilities(\"networkqosform\",\"submit_changes\",\"cancel_changes\");'>";
m += "<option value='Network Control'";
if(priority=='Network Control')
{
m += " selected";
}
m += ">Network Control</option>";
m += "<option value='Internetwork Control'";
if(priority=='Internetwork Control')
{
m += " selected";
}
m += ">Internetwork Control</option>";
m += "<option value='Voice'";
if(priority=='Voice')
{
m += " selected";
}
m += ">Voice</option>";
m += "<option value='Video'";
if(priority=='Video')
{
m += " selected";
}
m += ">Video</option>";
m += "<option value='Critical Applications'";
if(priority=='Critical Applications')
{
m += " selected";
}
m += ">Critical Applications</option>";
m += "<option value='Excellent Effort'";
if(priority=='Excellent Effort')
{
m += " selected";
}
m += ">Excellent Effort</option>";
m += "<option value='Best Effort'";
if(priority=='Best Effort')
{
m += " selected";
}
m += ">Best Effort</option>";
m += "<option value='Background'";
if(priority=='Background')
{
m += " selected";
}
m += ">Background</option>";
m += "</select></td>";
m += "</tr>";
}
var network=GetXmlData(node2,"network");
if(network)
{
n += "<tr>";
n += "<td>"
n += "<input type='checkbox' ";
n += " onclick='updateButtonVisibilities(\"networkqosform\",\"submit_changes\",\"cancel_changes\");' ";
n += " name='filter_" + index +".state' org_state='false'/>";
n += "</td>";
n += "<td>";
n += "<input type='text' size='16' maxlength='64' name='filter_"+index+".network' org_value='"+network+"' value='"+network+"' ";
n += " onkeyup='updateButtonVisibilities(\"networkqosform\",\"submit_changes\",\"cancel_changes\");'/>";
n += "</td>";
n += "<td><select name='filter_"+index+".priority' org_value='"+priority+"' onchange='updateButtonVisibilities(\"networkqosform\",\"submit_changes\",\"cancel_changes\");'>";
n += "<option value='Network Control'";
if(priority=='Network Control')
{
n += " selected";
}
n += ">Network Control</option>";
n += "<option value='Internetwork Control'";
if(priority=='Internetwork Control')
{
n += " selected";
}
n += ">Internetwork Control</option>";
n += "<option value='Voice'";
if(priority=='Voice')
{
n += " selected";
}
n += ">Voice</option>";
n += "<option value='Video'";
if(priority=='Video')
{
n += " selected";
}
n += ">Video</option>";
n += "<option value='Critical Applications'";
if(priority=='Critical Applications')
{
n += " selected";
}
n += ">Critical Applications</option>";
n += "<option value='Excellent Effort'";
if(priority=='Excellent Effort')
{
n += " selected";
}
n += ">Excellent Effort</option>";
n += "<option value='Best Effort'";
if(priority=='Best Effort')
{
n += " selected";
}
n += ">Best Effort</option>";
n += "<option value='Background'";
if(priority=='Background')
{
n += " selected";
}
n += ">Background</option>";
n += "</select></td>";
n += "</tr>";
}
var ports=GetXmlData(node2,"ports");
if(ports)
{
p += "<tr>";
p += "<td>"
p += "<input type='checkbox' ";
p += " onclick='updateButtonVisibilities(\"networkqosform\",\"submit_changes\",\"cancel_changes\");' ";
p += " name='filter_" + index +".state' org_state='false'/>";
p += "</td>";
p += "<td>";
p += "<input type='text' size='16' maxlength='64' name='filter_"+index+".ports' org_value='"+ports+"' value='"+ports+"' ";
p += " onkeyup='updateButtonVisibilities(\"networkqosform\",\"submit_changes\",\"cancel_changes\");'/>";
p += "</td>";
p += "<td><select name='filter_"+index+".priority' org_value='"+priority+"' onchange='updateButtonVisibilities(\"networkqosform\",\"submit_changes\",\"cancel_changes\");'>";
p += "<option value='Network Control'";
if(priority=='Network Control')
{
p += " selected";
}
p += ">Network Control</option>";
p += "<option value='Internetwork Control'";
if(priority=='Internetwork Control')
{
p += " selected";
}
p += ">Internetwork Control</option>";
p += "<option value='Voice'";
if(priority=='Voice')
{
p += " selected";
}
p += ">Voice</option>";
p += "<option value='Video'";
if(priority=='Video')
{
p += " selected";
}
p += ">Video</option>";
p += "<option value='Critical Applications'";
if(priority=='Critical Applications')
{
p += " selected";
}
p += ">Critical Applications</option>";
p += "<option value='Excellent Effort'";
if(priority=='Excellent Effort')
{
p += " selected";
}
p += ">Excellent Effort</option>";
p += "<option value='Best Effort'";
if(priority=='Best Effort')
{
p += " selected";
}
p += ">Best Effort</option>";
p += "<option value='Background'";
if(priority=='Background')
{
p += " selected";
}
p += ">Background</option>";
p += "</select></td>";
p += "</tr>";
}
}
}
}
}
c += "</table>";
var d = document.getElementById('qos_configuration');
if(d)d.innerHTML=c;
m += "</table>";
d = document.getElementById('mac_filter_configuration');
if(d)d.innerHTML=m;
n += "</table>";
d = document.getElementById('network_filter_configuration');
if(d)d.innerHTML=n;
p += "</table>";
d = document.getElementById('ports_filter_configuration');
if(d)d.innerHTML=p;
updateButtonVisibilities('networkqosform','submit_changes','cancel_changes');
}
}
function SetNetworkQoSDisplay(xml)
{
displayElementRootNames = new Array();
SetSubmit(false);
document.getElementById("networkqosform").style.display = "block";
document.getElementById("new_filter").reset();
updateFilterType();
document.getElementById("new_filter").style.display = "block";
}
function EthernetSpeedChange(value)
{
if(value == "Auto")
{
SetFxDisplay("ethernetduplexauto_Display", "");
SetFxDisplay("ethernetduplexhalf_Display", "");
SetFxDisplay("ethernetduplexfull_Display", "none");
}
else if(value == "1000")
{
SetFxDisplay("ethernetduplexauto_Display", "none");
SetFxDisplay("ethernetduplexhalf_Display", "none");
SetFxDisplay("ethernetduplexfull_Display", "none");
}
else
{
SetFxDisplay("ethernetduplexauto_Display", "none");
SetFxDisplay("ethernetduplexhalf_Display", "");
SetFxDisplay("ethernetduplexfull_Display", "");
}
Update();
}
function SetEthernetDisplay(xml)
{
displayElementRootNames = new Array();
SetSubmit(false);
var speed = SetDisplaySelection('Ethernet.Speed');
EthernetSpeedChange(speed);
SetDisplaySelection('Ethernet.Duplex');
document.getElementById("networkethform").style.display = "block";
}
function EthernetConfigPostProcedure()
{
FileSystemMonitor();
return ajax_EthernetConfPost(
[
true,
ajaxGetFormValuesWithoutClearingThem('networkethform')
]
);
}
function NetworkRender(xml)
{
var netno = Number(document.getElementById("hiddennetwork").innerHTML);
if(netno>=(1 +0) && netno<((1 +0)+1))
{
var failoverLink=document.getElementById("networknavfailover");
if(failoverLink)
{
failoverLink.style.visibility='hidden';
//if we are hiding the failover link make sure that other variables are not refering to it
var secondLevelMenu=document.getElementById("hiddennetworkinterfacelink");
if(secondLevelMenu)
{
if(secondLevelMenu.innerHTML=='failover')
{
secondLevelMenu.innerHTML='interface';
var thirdLevelMenu= document.getElementById('hiddennetworkstatusconfig');
if(thirdLevelMenu)
{
if(thirdLevelMenu.innerHTML!='1')
{
thirdLevelMenu.innerHTML='1';
}
}
}
}
}
}
if(netno>=(1) && netno<(1 +0))
{
var navlink = document.getElementById("networknavlink_3");
if(navlink)
{
navlink.style.visibility='visible';
}
}
else
{
var navlink = document.getElementById("networknavlink_3");
if(navlink)
{
navlink.style.visibility='hidden';
}
}
var d = document.getElementById("multinetworkdropdown");
if(d)
{
var r = "<";
r += "select name='navSelect' ";
r += "id='navSelect' ";
r += "onchange=\" ";
r += "var netno=this.value";
r += "if(netno<MAX_NETS_ETHERNET + MAX_NETS_WLAN + MAX_NETS_CELLULAR)";
r += "{";
r += "var nav2 = document.getElementById('hiddennetworkinterfacelink').innerHTML;";
r += "var nav3 = document.getElementById('hiddennetworkstatusconfig').innerHTML;";
r += "document.getElementById('hiddennetwork').innerHTML = this.value;";
r += "return ajax_AddToHistory(";
r += "'NetworkPage', ";
r += "[true, 'netnumber=' + this.value + '&2=' + nav2 + '&3=' + nav3]";
r += ");";
r += "}";
r += ">";
for(var i = 0; i < 1 + 0 + 1; ++i)
{
var sel;
if(netno == i)
{
sel = " SELECTED ";
}
else
{
sel = "";
}
r += "<option value='" + i + "' " + sel + ">";
r += "Network " + (i + 1);
r += "</option>";
}
r += "</select>";
d.innerHTML = "";
d.innerHTML = r;
}
var scanResultTable = document.getElementById("wlanScanTable");
if(scanResultTable)
{
var row=scanResultTable.rows[1];//firstChild.nextSibling.firstChild;//get to first row: this has issue in FF
while(row)
{
col=row.getElementsByTagName('td')[3];//get the signal strength column
var strength=parseInt(col.innerHTML);
var originalContent=col.innerHTML;
col.innerHTML=GenerateSignalStrengthIndicator(strength)+originalContent;
row=row.nextSibling;
}
}
return;
}
